Skip to main content
POST
Rank the agents that worked on a repository's files or paths

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization code flow.

Path Parameters

repo_id
string
required

Body

application/json
branch
string

Restrict to checkpoints linked on this branch.

evidence_limit
integer<int64>

Max evidence sessions per profile (1-5, default 3).

Required range: x <= 5
limit
integer<int64>

Max profiles (1-20, default 8).

Required range: x <= 20
query
string

Natural-language topic (requires code search). Provide scopes OR query.

scopes
string[] | null

Path scopes (a file or a directory prefix). Provide scopes OR query.

Maximum array length: 25

Response

OK

branch
string
required
profiles
object[] | null
required
query
string | null
required
repo_full_name
string
required
scopes
string[] | null
required
source
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/api/v1/schemas/ExpertsOutputBody.json"